summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2014-07-06 23:53:21 -0500
committer Robby Workman <rworkman@slackbuilds.org>2014-07-07 00:01:00 -0500
commitfad5f7925173a03d0ea1925152699c42736c934d (patch)
treea067964fe5082f3a98a48fdb1ecb4bac9fc98c10
parent108694748fda14a1b308dead9c57f5a943819ffa (diff)
downloadslackbuilds-fad5f7925173a03d0ea1925152699c42736c934d.tar.gz
slackbuilds-fad5f7925173a03d0ea1925152699c42736c934d.tar.xz
libraries/qt5: Updated for version 5.3.1.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/qt5/patches/QTBUG-39047.patch57
-rw-r--r--libraries/qt5/qt5.SlackBuild13
-rw-r--r--libraries/qt5/qt5.info6
3 files changed, 8 insertions, 68 deletions
diff --git a/libraries/qt5/patches/QTBUG-39047.patch b/libraries/qt5/patches/QTBUG-39047.patch
deleted file mode 100644
index ee6e4ad40e..0000000000
--- a/libraries/qt5/patches/QTBUG-39047.patch
+++ /dev/null
@@ -1,57 +0,0 @@
-From 009ad875f89d7d7bc4447e18c2fbbd485a75e0b5 Mon Sep 17 00:00:00 2001
-From: Oleg Shparber <trollixx@gmail.com>
-Date: Mon, 19 May 2014 00:53:39 -0700
-Subject: [PATCH] Fix improper antialiasing property behavior
-
-For components antialiased by default the property was returned
-as false if default true value was set to true again.
-
-Task-number: QTBUG-39047
-Change-Id: I16960a12b6d38a0d9e487fc6612610c39c4949d4
-Reviewed-by: Gunnar Sletta <gunnar.sletta@jollamobile.com>
----
- src/quick/items/qquickitem.cpp | 8 +++++---
- tests/auto/quick/qquicktext/tst_qquicktext.cpp | 7 +++++++
- 2 files changed, 12 insertions(+), 3 deletions(-)
-
-diff --git a/src/quick/items/qquickitem.cpp b/src/quick/items/qquickitem.cpp
-index 3f0dae8..ef2eac4 100644
---- a/src/quick/items/qquickitem.cpp
-+++ b/src/quick/items/qquickitem.cpp
-@@ -5691,10 +5691,12 @@ void QQuickItem::setAntialiasing(bool aa)
- {
- Q_D(QQuickItem);
-
-- bool changed = (aa != antialiasing());
-- d->antialiasingValid = true;
-+ if (!d->antialiasingValid) {
-+ d->antialiasingValid = true;
-+ d->antialiasing = d->implicitAntialiasing;
-+ }
-
-- if (!changed)
-+ if (aa == d->antialiasing)
- return;
-
- d->antialiasing = aa;
-diff --git a/tests/auto/quick/qquicktext/tst_qquicktext.cpp b/tests/auto/quick/qquicktext/tst_qquicktext.cpp
-index 0b69981..d36c55d 100644
---- a/tests/auto/quick/qquicktext/tst_qquicktext.cpp
-+++ b/tests/auto/quick/qquicktext/tst_qquicktext.cpp
-@@ -1334,6 +1334,13 @@ void tst_qquicktext::antialiasing()
- text->resetAntialiasing();
- QCOMPARE(text->antialiasing(), true);
- QCOMPARE(spy.count(), 2);
-+
-+ // QTBUG-39047
-+ component.setData("import QtQuick 2.0\n Text { antialiasing: true }", QUrl());
-+ object.reset(component.create());
-+ text = qobject_cast<QQuickText *>(object.data());
-+ QVERIFY(text);
-+ QCOMPARE(text->antialiasing(), true);
- }
-
- void tst_qquicktext::weight()
---
-1.7.1
-
diff --git a/libraries/qt5/qt5.SlackBuild b/libraries/qt5/qt5.SlackBuild
index 1449b0bf5d..2bdc504424 100644
--- a/libraries/qt5/qt5.SlackBuild
+++ b/libraries/qt5/qt5.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for qt5
-# Copyright 2013 Larry Hajali <larryhaja[at]gmail[dot]com>
+# Copyright 2013-2014 Larry Hajali <larryhaja[at]gmail[dot]com>
# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -46,7 +46,7 @@
# tailored to Qt 5. Modified by Larry Hajali.
PRGNAM=qt5
-VERSION=${VERSION:-5.3.0}
+VERSION=${VERSION:-5.3.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -105,9 +105,6 @@ patch -p1 < $CWD/patches/qt5.mysql.h.diff
# https://bugs.webkit.org/show_bug.cgi?id=117077
patch -p1 < $CWD/patches/platformplugin-install-path-fix.patch
-# Fix QTBUG-39047. https://bugreports.qt-project.org/browse/QTBUG-39047
-patch -p1 -d qtdeclarative < $CWD/patches/QTBUG-39047.patch
-
# Limit -reduce-relocations to ix86 and x86_64.
# https://bugreports.qt-project.org/browse/QTBUG-36129
if echo $ARCH | grep -q '\(i.86\|x86_64\)' 2>/dev/null; then
@@ -156,6 +153,9 @@ export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
make
make install INSTALL_ROOT=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
ln -s $PRGNAM $PKG/usr/lib${LIBDIRSUFFIX}/qt-$VERSION
mkdir -p $PKG/usr/bin
@@ -184,9 +184,6 @@ sed -e "s|@LIBDIRSUFFIX@|${LIBDIRSUFFIX}|g" $CWD/profile.d/$PRGNAM.csh \
> $PKG/etc/profile.d/$PRGNAM.csh
chmod 0755 $PKG/etc/profile.d/*
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
cat > $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/lib/pkgconfig/Qt5.pc << EOF
prefix=/usr/lib${LIBDIRSUFFIX}/$PRGNAM
bindir=\${prefix}/bin
diff --git a/libraries/qt5/qt5.info b/libraries/qt5/qt5.info
index 17937d4f0c..5548558c80 100644
--- a/libraries/qt5/qt5.info
+++ b/libraries/qt5/qt5.info
@@ -1,8 +1,8 @@
PRGNAM="qt5"
-VERSION="5.3.0"
+VERSION="5.3.1"
HOMEPAGE="http://qt-project.org/"
-DOWNLOAD="http://download.qt-project.org/official_releases/qt/5.3/5.3.0/single/qt-everywhere-opensource-src-5.3.0.tar.xz"
-MD5SUM="f00ac7930e3b1b2b364dedcd15acc142"
+DOWNLOAD="http://download.qt-project.org/official_releases/qt/5.3/5.3.1/single/qt-everywhere-opensource-src-5.3.1.tar.xz"
+MD5SUM="f9a24a0d5645efa0715b6ff0fa13d60f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""